﻿@model List<DashboardMenuItemViewModel>

@{
    Layout = null;
}

<div class="blade-bar">
    <a ng-click="MC.closeBlade(step)">
        <i class="icon-cancel-2"></i>
    </a>
    <a ng-click="step.isExpanded = false">
        <i class="icon-minus-2"></i>
    </a>
    <div class="clearfix"></div>
</div>
<h3 class="blade-title show-in-collapse-mode">
    <a class="fg-white title show-in-collapse-mode" ng-click="step.isExpanded = true">Campaigns</a>
</h3>
<ul class="list">

    @foreach (var menuItem in Model.Where(m => m.ParentId == null))
    {
        <li ng-class="{active: MC.activeSection == '@menuItem.Name' }">
            <a class="blade-item-title" ui-sref="@menuItem.Link" ng-click="MC.activeSection = '@menuItem.Name'">
                <i class="@menuItem.Icon on-left-more add"></i>
                @menuItem.Title
            </a>

            @if (Model.Any(m => m.ParentId == menuItem.Id))
            {
                var childItem = Model.Single(m => m.ParentId == menuItem.Id);

                <div class="blade-item-action-bar">
                    <ul>
                        <li>
                            <a ui-sref='@childItem.Link'>
                                <i class="@childItem.Icon on-left-more add"></i>@childItem.Title
                            </a>
                        </li>
                    </ul>
                </div>
            }
        </li>
    }
</ul>
